<section class="bg-white screen-width flex flex-col justify-center items-center">
	<div class="container flex flex-col justify-start items-center py-16">
		<h1
			[class.text-right]="isRTL()"
			[class.text-left]="!isRTL()"
			class="ml-1 mdCustom:ml-0 text-xl mb-3 w-full px-6 mdCustom:px-0"
		>
			{{ t.dashboard.profile.plan.title | translate }}
		</h1>
		<div
			class="w-98-percent mdCustom:w-full p-6 shadow-cvbuilder-border flex flex-row justify-between items-center flex-wrap"
		>
			<p class="text-bgTwo w-full mdCustom:w-65-percent">
				{{ t.dashboard.profile.plan.descriptionFree | translate }}
			</p>
			<a class="cta-primary-btn px-4 bg-primary" [routerLink]="routes.dashboard.payment">
				<span class="btn-text text-white">
					{{ t.dashboard.profile.plan.upgradePlan | translate }}
				</span>
			</a>
		</div>
	</div>
	<div class="container flex flex-col justify-start items-center py-16">
		<h1
			[class.text-right]="isRTL()"
			[class.text-left]="!isRTL()"
			class="ml-1 mdCustom:ml-0 text-xl mb-3 w-full px-6 mdCustom:px-0"
		>
			{{ t.dashboard.profile.title | translate }}
		</h1>
		<div class="w-98-percent mdCustom:w-full p-6 shadow-cvbuilder-border flex flex-col justify-start items-start">
			<form
				*ngIf="profileForm"
				[formGroup]="profileForm"
				(ngSubmit)="submit()"
				class="w-full flex flex-row flex-wrap justify-between items-start"
			>
				<div class="w-full mdCustom:w-48-percent">
					<label class="text-bgTwo">{{ t.dashboard.profile.fields.name.label | translate }}</label>
					<div class="base-to-draw w-full mb-4" [class.is-focused]="isNameFocused">
						<input
							type="text"
							formControlName="name"
							class="w-full bg-almost-gray p-3"
							(focus)="isNameFocused = true"
							(blur)="isNameFocused = false"
						/>
					</div>
				</div>

				<div class="w-full mdCustom:w-48-percent">
					<label class="text-bgTwo">{{ t.dashboard.profile.fields.lastName.label | translate }}</label>
					<div class="base-to-draw w-full mb-4" [class.is-focused]="isLastNameFocused">
						<input
							type="text"
							formControlName="lastName"
							class="w-full bg-almost-gray p-3"
							(focus)="isLastNameFocused = true"
							(blur)="isLastNameFocused = false"
						/>
					</div>
				</div>

				<div class="w-full mdCustom:w-48-percent">
					<label class="text-bgTwo">{{ t.dashboard.profile.fields.email.label | translate }}</label>
					<div class="base-to-draw w-full mb-4" [class.is-focused]="isEmailFocused">
						<input
							type="email"
							formControlName="email"
							class="w-full bg-almost-gray p-3"
							(focus)="isEmailFocused = true"
							(blur)="isEmailFocused = false"
						/>
					</div>
				</div>

				<div class="w-full mdCustom:w-48-percent mt-6">
					<p class="text-bgTwo" *ngIf="currentUser && currentUser.unConfirmedEmail">
						{{
							t.dashboard.profile.verificationEmailSent
								| translate: { email: currentUser.unConfirmedEmail }
						}}
					</p>
					<p class="text-bgTwo" *ngIf="currentUser && !currentUser.unConfirmedEmail">
						{{ t.dashboard.profile.emailExplanation | translate }}
					</p>
				</div>

				<div class="mt-8 w-full flex flex-row justify-end items-center">
					<button
						class="cta-primary-btn px-4 bg-primary"
						[disabled]="sending || !profileForm.valid || !isProfileEdited()"
						type="submit"
					>
						<span class="btn-text text-white">
							{{ t.common.buttons.save | translate }}
						</span>
					</button>
				</div>
			</form>
		</div>
	</div>
	<div class="container flex flex-col justify-start items-center py-16">
		<h1
			[class.text-right]="isRTL()"
			[class.text-left]="!isRTL()"
			class="ml-1 mdCustom:ml-0 text-xl mb-3 w-full px-6 mdCustom:px-0"
		>
			{{ t.dashboard.profile.dangerZone | translate }}
		</h1>
		<div
			class="w-98-percent mdCustom:w-full p-6 shadow-cvbuilder-border flex flex-row justify-between items-center flex-wrap"
		>
			<p class="text-bgTwo w-full mdCustom:w-65-percent">
				{{ t.dashboard.profile.purgingExplanation | translate }}
			</p>
			<button class="cta-primary-btn px-4 bg-danger" (click)="showConfirmationDialog()">
				<span class="btn-text text-white">
					{{ t.common.buttons.deleteProfile | translate }}
				</span>
			</button>
		</div>
	</div>
</section>
